summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD13
1 files changed, 10 insertions, 3 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 981053b4bb6..da4aae335c1 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,7 +2,7 @@
# Based on work by Uncle Hunto <unclehunto äτ ÝãΗ00 Ð0τ ÇÖΜ> and Beini <bane aτ iki dot fi>
pkgname=eddie-ui-git
-pkgver=2.21.5
+pkgver=2.21.6
pkgrel=1
pkgdesc='Eddie - VPN tunnel - UI - beta'
arch=('i686' 'x86_64')
@@ -28,11 +28,18 @@ build() {
export TERM=xterm # Fix Mono bug "Magic number is wrong".
# Compile C# sources
+ # Forced target framework, otherwise throw
+ # warning : TargetFrameworkVersion 'v4.8' not supported by this toolset (ToolsVersion: 14.0).
+ # even on recent Manjaro (updated 2022-04-19)
+
+ # throw
+ # xbuild tool is deprecated and will be removed in future updates, use msbuild instead
+ # but never understand right dependencies that works on every Arch distro
cd "Eddie"
if [ "ui" = "cli" ]; then
- xbuild /verbosity:minimal /p:Configuration="Release" /p:Platform="$_pkgarch" src/eddie.linux.cli.sln
+ xbuild /verbosity:minimal /p:TargetFrameworkVersion="v4.5" /p:Configuration="Release" /p:Platform="$_pkgarch" src/eddie.linux.cli.sln
elif [ "ui" = "ui" ]; then
- xbuild /verbosity:minimal /p:Configuration="Release" /p:Platform="$_pkgarch" src/eddie2.linux.ui.sln
+ xbuild /verbosity:minimal /p:TargetFrameworkVersion="v4.5" /p:Configuration="Release" /p:Platform="$_pkgarch" src/eddie2.linux.ui.sln
fi
# Compile C sources (Tray)